function [alpha0,b0,nbdata,xsup,ysup]=multisvconeaone(x,y,ker,par,C);
%	This code is to compute alpha0 , b0 for multiclass kernel svm
%	with one-against-one approach
%	input : x - input sample
%           y - input label
%           eta - degree of uncertainty
%   output: alpha0 - lagrange multiplier
%           b0 - bias  
alpha0=[];
xsup=[];
ysup=[];
b0=[];
classifier=[];
Mmax=max(y); %label: 1, 2, 3, ..., M
Mmin=min(y); %label: 1, 2, 3, ..., M
M = Mmax-Mmin + 1;
nbdata=zeros(1,M*(M-1)/2);
nbalpha=zeros(1,M*(M-1)/2);

st = cputime;
k=1;
for i=1:M-1
    for j=i+1:M
        indi=find(y==i);
        indj=find(y==j);
        xapp=[x(indi,:); x(indj,:)];
        yone=[ones(length(indi),1);-ones(length(indj),1)];
        [alpha,b]=svc(xapp,yone,ker,par,C);
        xsup=[xsup;xapp];
        ysup=[ysup;yone];
        n2=size(xapp,1);
        alpha=alpha';
        n1=size(alpha,2);
        nbalpha(k)=n1;
        nbdata(k)=n2;
        classifier(k,:)=[i j];
        alpha0=[alpha0;alpha'];
        b0=[b0;b];
        clear alpha,b;
        k=k+1;
    end;
end;
fprintf('Computation time: %4.1f seconds\n',cputime - st);

 
     